package cn.com.ctop.finance.payment.service;

import cn.com.ctop.finance.payment.entity.FinancePaymentRechargeAccount;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 充值账户表
 *
 * @author jeecg-boot
 * 2023-04-13
 * @version V1.0
 */
public interface IFinancePaymentRechargeAccountService extends IService<FinancePaymentRechargeAccount> {

    void delByRechargeId(Long rechargeId);

    JSONObject queryAmounts(Long rechargeId);

    List<FinancePaymentRechargeAccount> queryByRechargeId(Long rechargeId);
}
